LIBJXL

Classes | Typedefs | Enumerations
codestream_header.h File Reference

Definitions of structs and enums for the metadata from the JPEG XL codestream headers (signature, metadata, preview dimensions, ...), excluding color encoding which is in color_encoding.h. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "jxl/color_encoding.h"`
`#include "jxl/types.h"`
Include dependency graph for codestream_header.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | JxlPreviewHeader
struct | JxlAnimationHeader
struct | JxlBasicInfo
struct | JxlExtraChannelInfo
struct | JxlHeaderExtensions
struct | JxlFrameHeader

## Typedefs
typedef struct JxlBasicInfo | JxlBasicInfo

## Enumerations
enum | JxlOrientation { JXL_ORIENT_IDENTITY = 1 , JXL_ORIENT_FLIP_HORIZONTAL = 2 , JXL_ORIENT_ROTATE_180 = 3 , JXL_ORIENT_FLIP_VERTICAL = 4 , JXL_ORIENT_TRANSPOSE = 5 , JXL_ORIENT_ROTATE_90_CW = 6 , JXL_ORIENT_ANTI_TRANSPOSE = 7 , JXL_ORIENT_ROTATE_90_CCW = 8 }
enum | JxlExtraChannelType { JXL_CHANNEL_ALPHA , JXL_CHANNEL_DEPTH , JXL_CHANNEL_SPOT_COLOR , JXL_CHANNEL_SELECTION_MASK , JXL_CHANNEL_BLACK , JXL_CHANNEL_CFA , JXL_CHANNEL_THERMAL , JXL_CHANNEL_RESERVED0 , JXL_CHANNEL_RESERVED1 , JXL_CHANNEL_RESERVED2 , JXL_CHANNEL_RESERVED3 , JXL_CHANNEL_RESERVED4 , JXL_CHANNEL_RESERVED5 , JXL_CHANNEL_RESERVED6 , JXL_CHANNEL_RESERVED7 , JXL_CHANNEL_UNKNOWN , JXL_CHANNEL_OPTIONAL }

## Detailed Description

Definitions of structs and enums for the metadata from the JPEG XL codestream headers (signature, metadata, preview dimensions, ...), excluding color encoding which is in color_encoding.h.

## Typedef Documentation

## ◆ JxlBasicInfo

typedef struct JxlBasicInfo JxlBasicInfo

Basic image information. This information is available from the file signature and first part of the codestream header.

## Enumeration Type Documentation

## ◆ JxlExtraChannelType

enum JxlExtraChannelType

Given type of an extra channel.

## ◆ JxlOrientation

enum JxlOrientation

Image orientation metadata. Values 1..8 match the EXIF definitions. The name indicates the operation to perform to transform from the encoded image to the display image.